System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.CodeDom.Compiler.ICodeGenerator

This is a useful base class for code generators to derive from. Code generators are capable of rendering source code in a specific language according to the structure of a Code Document Object Model (CodeDOM) graph. This class provides many functions and methods to generate specific types of code from a CodeDOM graph.

This class contains a link demand and an inheritance demand at the class level that applies to all members. A is thrown when either the immediate caller or the derived class does not have full-trust permission. For details about security demands, see Link Demands and Inheritance Demands.

Provides an example implementation of the interface. This class is abstract.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates a line-continuation character and outputs the specified string on a new line.

  The string to write on the new line.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  tests whether the identifier conflicts with reserved or language keywords, and if so, returns an equivalent name with language-specific escape code formatting. The returned name is referred to an escaped identifier. The escaped identifier contains the same but includes escape code formatting to differentiate it from conflicting keywords. For example, could be preceded by an at sign ("@") or delimited by square brackets ("[" and "]") to create an escaped identifier.

  The default implementation of this method does nothing.

  Creates an escaped identifier for the specified value.

  The escaped identifier for the value.

  The string to create an escaped identifier for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  tests whether the identifier conflicts with reserved or language keywords, and if so, returns a valid identifier name that does not conflict. The returned identifier contains the same but includes escape code formatting to differentiate it from conflicting keywords. Typically, if the value requires modification, it is preceded by an underscore "_".

  The default implementation of this method does nothing.

  Creates a valid identifier for the specified value.

  A valid identifier for the value.

  A string to create a valid identifier for.
- Property
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeTypeDeclaration To be added. To be added.

  Gets the code type declaration for the current class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeTypeMember To be added: an object of type 'CodeDom.CodeTypeMember' To be added

  Gets the current member of the class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the current member name.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the current class name.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified argument reference expression.

  A that indicates the expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified array creation expression.

  A that indicates the expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified array indexer expression.

  A that indicates the expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeAssignStatement' To be added

  Generates code for the specified assignment statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeAttachEventStatement' To be added

  Generates code for the specified attach event statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified attribute block end.

  A that indicates the end of the attribute block to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified attribute block start.

  A that indicates the start of the attribute block to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified base reference expression.

  A that indicates the expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified binary operator expression.

  A that indicates the expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified cast expression.

  A that indicates the expression to generate code for.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void `` `` ``

  Code for members is generated differently depending on the context. For example, code for methods on an interface or fields on an enumeration is generated differently from code for the same member on a class. This implementation assumes that the member is being generated for the class context.

  Generates code for the specified class member using the specified text writer and code generator options.

  The class member to generate code for. The text writer to output code to. The options to use when generating the code.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeComment' To be added

  Generates code for the specified comment.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeCommentStatement' To be added

  Generates code for the specified comment statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeCommentStatementCollection' To be added

  Generates code for the specified comment statements.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeCompileUnit' To be added

  Generates code for the specified compile unit.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeCompileUnit' To be added

  Generates code for the end of a compile unit.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeCompileUnit' To be added

  Generates code for the start of a compile unit.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeConditionStatement'

  For most languages, this method will generate code for an if statement.

  Generates code for the specified conditional statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added

  Generates code for the specified constructor.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified decimal value.

  The decimal value to generate code for.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void `` To be added.

  Generates code for the specified reference to a default value.

  The reference to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified delegate creation expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified delegate invoke expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified direction expression.

  The expression to generate code for.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Generates code for the specified code directives.

  The code directives to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for a double-precision floating point number.

  The value to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added

  Generates code for the specified entry point method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added

  Generates code for the specified event.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified event reference expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified code expression.

  The code expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeExpressionStatement' To be added

  Generates code for the specified expression statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeMemberField' To be added

  Generates code for the specified member field.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified field reference expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeGotoStatement' To be added

  Generates code for the specified goto statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified indexer expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeIterationStatement'

  For most languages, this method will generate code for a for loop or a while loop.

  Generates code for the specified iteration statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeLabeledStatement' To be added

  Generates code for the specified labeled statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeLinePragma' To be added

  Generates code for the specified line pragma end.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeLinePragma' To be added

  Generates code for the specified line pragma start.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added

  Generates code for the specified method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified method invoke expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified method reference expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified method return statement.

  The statement to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeNamespace' To be added

  Generates code for the specified namespace.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeNamespace' To be added

  Generates code for the end of a namespace.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeNamespaceImport' To be added

  Generates code for the specified namespace import.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified namespace import.

  The namespace import to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the namespaces in the specified compile unit.

  The compile unit to generate namespaces for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeNamespace' To be added

  Generates code for the start of a namespace.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified object creation expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified parameter declaration expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified primitive expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added

  Generates code for the specified property.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified property reference expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified property set value reference expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeRemoveEventStatement' To be added

  Generates code for the specified remove event statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for a single-precision floating point number.

  The value to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Outputs the code of the specified literal code fragment compile unit.

  The literal code fragment compile unit to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Outputs the code of the specified literal code fragment expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeSnippetTypeMember' To be added

  Outputs the code of the specified literal code fragment class member.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeSnippetStatement' To be added

  Outputs the code of the specified literal code fragment statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeStatement' To be added

  Generates code for the specified statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeStatementCollection' To be added

  Generates code for the specified statement collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified this reference expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeThrowExceptionStatement' To be added

  Generates code for the specified throw exception statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeTryCatchFinallyStatement' To be added

  Generates code for the specified try...catch...finally statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeTypeConstructor' To be added

  Generates code for the specified class constructor.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeTypeDeclaration' To be added

  Generates code for the specified end of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified type of expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified type reference expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified namespace and the classes it contains.

  The namespace to generate classes for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeTypeDeclaration' To be added

  Generates code for the specified start of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified variable declaration statement.

  The statement to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified variable reference expression.

  The expression to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added: an object of type 'CodeDom.CodeTypeReference' To be added

  Gets the name of the specified data type.

  The name of the data type reference.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  Segments of code are commonly indented for ease of recognition.

  Gets or sets the amount of spaces to indent each indentation level.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the current object being generated is a class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the current object being generated is a delegate.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the current object being generated is an enumeration.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the current object being generated is an interface.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the current object being generated is a value type or struct.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Gets a value indicating whether the specified value is a valid identifier.

  true if the value is a valid identifier; otherwise, false.

  The value to test for conflicts with valid identifiers.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method checks the specified string to ensure that it does not contain certain characters that can be used to escape an identifier field. The method calls this method to perform string validation. Calling the method and passing a before generating code from it can prevent the use of certain character sequences to include hidden code within an identifier field.

  Gets a value indicating whether the specified string is a valid identifier.

  true if the specified string is a valid identifier; otherwise, false.

  The string to test for validity.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the token that represents null.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CodeGeneratorOptions To be added: an object of type 'CodeGeneratorOptions' To be added

  Gets the options to be used by the code generator.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.TextWriter To be added: an object of type 'IO.TextWriter' To be added

  Gets the text writer to use for output.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeAttributeArgument' To be added

  Outputs an argument in an attribute block.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified attribute declaration collection.

  The attributes to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.FieldDirection' To be added

  Generates code for the specified .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified expression list.

  The expressions to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added

  Generates code for the specified expression list.

  The expressions to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Outputs a field scope modifier that corresponds to the specified attributes.

  One of the enumeration values that specifies the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Outputs the specified identifier.

  The identifier to output.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified member access modifier.

  One of the enumeration values that indicates the member access modifier to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified member scope modifier.

  One of the enumeration values that indicates the member scope modifier to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified operator.

  The operator to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Generates code for the specified parameters.

  The parameter declaration expressions to generate code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'CodeDom.CodeTypeReference' To be added

  Generates code for the specified type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Generates code for the specified type attributes.

  One of the enumeration values that indicates the type attributes to generate code for. true if the type is a struct; otherwise, false. true if the type is an enum; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added

  Generates code for the specified object type and name pair.

  The name for the object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  This method returns a modified version of the specified string that has been formatted with escape code characters. For example, /" might be used to represent ". These escape codes are used to replace elements of the specified string that might otherwise conflict with language syntax.

  Converts the specified string by formatting it with escape codes.

  The converted string.

  The string to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added: an object of type 'GeneratorSupport' To be added

  Gets a value indicating whether the specified code generation support is provided.

  true if the specified code generation support is provided; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added.

  Creates an escaped identifier for the specified value.

  The escaped identifier for the value.

  The string to create an escaped identifier for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added.

  Creates a valid identifier for the specified value.

  A valid identifier for the specified value.

  The string to generate a valid identifier for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Generates code for the specified Code Document Object Model (CodeDOM) compilation unit and outputs it to the specified text writer using the specified options.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Generates code for the specified Code Document Object Model (CodeDOM) expression and outputs it to the specified text writer.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Generates code for the specified Code Document Object Model (CodeDOM) namespace and outputs it to the specified text writer using the specified options.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Generates code for the specified Code Document Object Model (CodeDOM) statement and outputs it to the specified text writer using the specified options.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Generates code for the specified Code Document Object Model (CodeDOM) type declaration and outputs it to the specified text writer using the specified options.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added.

  Gets the type indicated by the specified .

  The name of the data type reference.

  The type to return.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Gets a value that indicates whether the specified value is a valid identifier for the current language.

  true if the parameter is a valid identifier; otherwise, false.

  The value to test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Gets a value indicating whether the generator provides support for the language features represented by the specified object.

  true if the specified capabilities are supported; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Throws an exception if the specified value is not a valid identifier.

  The identifier to validate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Throws an exception if the specified string is not a valid identifier.

  The identifier to test for validity as an identifier.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void ``

  It is possible for the identifier fields of objects to contain field escape characters and hidden code which can allow security violations. This method checks the literal fields of each in a tree for characters which could be used to hide code, and throws an exception if an identifier field contains an invalid character.

  This method calls the method to validate each identifier in the specified or tree, and throws an exception if an identifier is invalid or contains invalid characters.

  Call this method and pass it the containing the code graph to generate before generating code to block the use of certain character sequences that can be used to include hidden code within an identifier field. This method is not called automatically by any generate code methods.

  Attempts to validate each identifier field contained in the specified or tree.

  An object to test for invalid identifiers.